// This source code is a small sub-set of the Objective Grid C++ Library
// from Stingray Software, Inc.

// For more information visit: http://www.stingsoft.com

//  Author:		    Stefan Hoenig
//  Created:		11/14/97
//

//
// ddjplgin.h : interface of the CDDJPluginComponent class

#ifndef _DDJPLGIN_H_
#define _DDJPLGIN_H_

class CDDJPluginComponent: public CWnd
{
	DECLARE_DYNAMIC(CDDJPluginComponent);

public:
	CDDJPluginComponent();
	BOOL PlugIn(CWnd* pParentWnd);
	virtual ~CDDJPluginComponent();

public:
	// Attributes 
	// Reserved for later usage with a PluginManager
	BOOL m_bSkipOtherPlugins;	// set this TRUE from within your message handler
								// if no other plugins should be called	for this message
	BOOL m_bExitMesssage;		// set this TRUE from within your message handler        
								// if no other plugins and also not the default window message 
								// should be called

// Generated message map functions
protected:
	//{{AFX_MSG(CDDJPluginComponent)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

public:
	// for processing Windows messages
	BOOL HandleMessage(UINT message, WPARAM wParam, LPARAM lParam, LRESULT* pResult);

protected:
	// for handling default processing
	virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};


#endif //_DDJPLGIN_H_
