/*---------------------------------------------------------------------------
         Copyright 1997    On Target Software    All Rights Reserved

  Dave Pomerantz, Nov 1997.  Updates available at http://www.targetsoft.com
-----------------------------------------------------------------------------
notify_dll.cpp   boilerplate code to initialize an MFC extension DLL
---------------------------------------------------------------------------*/
#include "stdafx.h"
#include <afxdllx.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


static AFX_EXTENSION_MODULE NotifyDLL = { NULL, NULL };

/*---------------------------------------------------------------------------
DllMain
---------------------------------------------------------------------------*/
extern "C" int APIENTRY
DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpReserved)
{
	UNREFERENCED_PARAMETER(lpReserved);

	if (dwReason == DLL_PROCESS_ATTACH)
	{
		TRACE0("NOTIFY.DLL Initializing!\n");
		
		if (!AfxInitExtensionModule(NotifyDLL, hInstance))
			return 0;

		new CDynLinkLibrary(NotifyDLL);
#ifdef ERRLOG
      LOGINIT("Notify");
      LOG_SETFILTER(kLogAll);
#endif
	}
	else if (dwReason == DLL_PROCESS_DETACH)
	{
		TRACE0("NOTIFY.DLL Terminating!\n");
		AfxTermExtensionModule(NotifyDLL);
	}
	return 1;
}
