/*---------------------------------------------------------------------------
         Copyright 1997    On Target Software    All Rights Reserved

  Dave Pomerantz, Nov 1997.  Updates available at http://www.targetsoft.com
-----------------------------------------------------------------------------
DOC.H    CDoc  Boilerplate MFC CDocument subclass
---------------------------------------------------------------------------*/
#ifndef DOC_H
#define DOC_H

//---------------------------------------------------------------------------
class CDoc : public CDocument
//---------------------------------------------------------------------------
{
public:
   // Construction and Destruction
	CDoc();
	virtual ~CDoc();

   // Diagnostic (debug only)
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:     // MFC generated functions, message maps, etc.
	//{{AFX_VIRTUAL(CDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CDoc)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	DECLARE_DYNCREATE(CDoc)
};
//{{AFX_INSERT_LOCATION}}

#endif // DOC_H
