/*---------------------------------------------------------------------------
         Copyright 1997    On Target Software    All Rights Reserved

  Dave Pomerantz, Nov 1997.  Updates available at http://www.targetsoft.com
-----------------------------------------------------------------------------
thermDispatcher.h   Dispatcher subclass for the thermometer control
---------------------------------------------------------------------------*/
#ifndef THERM_DISPATCHER_H
#define THERM_DISPATCHER_H

#include "dispatcher.h"

class CNotifier;
class CSubscriber;
//---------------------------------------------------------------------------
class CThermDispatcher : public CDispatcher
//---------------------------------------------------------------------------
{
public:
   CThermDispatcher(void);

   virtual HRESULT DispatchToOne(CNotifier *, CSubscriber *);
};

/************************
 *** INLINE FUNCTIONS ***
 ***********************/

/*---------------------------------------------------------------------------
default contructor     
---------------------------------------------------------------------------*/
inline CThermDispatcher::CThermDispatcher(void)
                        :CDispatcher()
{
}


#endif //THERM_DISPATCHER_H