// This source code is a small sub-set of the Objective Grid C++ Library
// from Stingray Software, Inc.

// For more information visit: http://www.stingsoft.com

//  Author:		    Stefan Hoenig
//  Created:		11/14/97
//

#ifndef __AUTOPLUG_H__
#define __AUTOPLUG_H__

// AutoPlug.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAutoScrollPlugin window

class CAutoScrollPlugin : public CDDJPluginComponent
{
// Construction
public:
	CAutoScrollPlugin();

// Attributes
public:
	CPoint m_ptMouseDown;
	BOOL m_bIsAutoScrolling;
	int m_nTimer;

// Operations
public:
	void AbortScrolling();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAutoScrollPlugin)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CAutoScrollPlugin();

	// Generated message map functions
protected:
	//{{AFX_MSG(CAutoScrollPlugin)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnCancelMode();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif //__AUTOPLUG_H__
