/*---------------------------------------------------------------------------
         Copyright 1997    On Target Software    All Rights Reserved

 Dave Pomerantz, Nov 1997.  Updates available at http://www.targetsoft.com
-----------------------------------------------------------------------------
about.h  About Box for thermostat example

With thanks to Paul DiLascia for his article and source in the December 1997
issue of Microsoft Systems Journal.  I used Paul's example of how to embed
a URL in an about box.  He can be reached at http://pobox.com/~dilascia.
---------------------------------------------------------------------------*/
#ifndef ABOUT_H
#define ABOUT_H

#include "statlink.h"

//---------------------------------------------------------------------------
class CAboutDlg : public CDialog
{
public:
   // Construction and Destruction
	CAboutDlg();

protected:
   // Implementation functions
	virtual BOOL OnInitDialog(void);

   // Data members
	CStaticLink m_textLink;		// hypertext link to the On Target website

protected:     
   // MFC generated functions, message maps, etc.
	//{{AFX_DATA(CAboutDlg)
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif // ABOUT_H