/*---------------------------------------------------------------------------
         Copyright 1997    On Target Software    All Rights Reserved

  Dave Pomerantz, Nov 1997.  Updates available at http://www.targetsoft.com
-----------------------------------------------------------------------------
THERMOSTAT.H   definition of application object, CThermApp
---------------------------------------------------------------------------*/
#ifndef THERMOSTAT_H
#define THERMOSTAT_H

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols
class CThermDispatcher;
class CTempScale;

//---------------------------------------------------------------------------
class CThermApp : public CWinApp
//---------------------------------------------------------------------------
{
public:
	CThermApp();

   CTempScale *GetScale(void) { return m_pScale; }

protected:
   CThermDispatcher *m_pDispatcher;
   CTempScale       *m_pScale;

public:     // MFC generated functions, message maps, etc.
	//{{AFX_VIRTUAL(CThermApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

protected:
   void SetMainWindowPlacement(void);

   //{{AFX_MSG(CThermApp)
	afx_msg void OnAppAbout();
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif // THERMOSTAT_H